hmLoadTopic({
hmKeywords:".NET Framework,Check Windows Services,Linkar services,LinkarManagerControl,LinkarManagerService,LinkarServerService,net start\/stop,permissions,services,services starting manually,services Windows,Windows,Windows Start\/Stop Services",
hmTitle:"Check Windows Services",
hmDescription:"Open Services, and the Linkar Manager service, and attempt to start manually.",
hmPrevLink:"lk_installation_check_services.html",
hmNextLink:"lk_check_linux_services.html",
hmParentLink:"lk_installation_check_services.html",
hmBreadCrumbs:"<a href=\"lk_installation.html\">Installation<\/a> &gt; <a href=\"lk_installation_check_services.html\">Check Services<\/a>",
hmTitlePath:"Installation > Check Services > Check Windows Services",
hmHeader:"<h1 class=\"p_Heading1\" style=\"page-break-after: avoid;\"><span class=\"f_Heading1\">Check Windows Services<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">Open Services, and the Linkar Manager service, and attempt to start manually.<\/p>\n\r<p class=\"p_Normal\">This diagnostic is the same if the Linkar Server service fails to start.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\"><img style=\"margin:0;width:25.3750rem;height:29.2500rem;border:none\" src=\".\/images\/services_1.png\"\/><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\"><img style=\"margin:0;width:26.7500rem;height:14.3750rem;border:none\" src=\".\/images\/services_2.png\"\/><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\"><img style=\"margin:0;width:25.7500rem;height:11.5625rem;border:none\" src=\".\/images\/services_3.png\"\/><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_HeadingToggleLarger_atocs_\"><span class=\"f_HeadingToggleLarger_atocs_\">Permissions<\/span><\/p>\n\r<p class=\"p_Normal\">If the service fails to start, the issue could be with <span style=\"font-size: 0.91rem;\"><a href=\"lk_permissions.html\" class=\"topiclink\">Permissions<\/a><\/span> on the user starting the service.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Check the Windows Event Log to see if there are reports of errors from Linkar.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">For example:<\/p>\n\r<p class=\"p_Normal\"><img style=\"margin:0;width:58.5625rem;height:10.0000rem;border:none\" src=\".\/images\/framework4.6.png\"\/><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Note that at this time Linkar components require the .NET Framework v4.6+ for services and development. Please install the latest .NET Framework, <a href=\"lk_installation_system_reboot.html\" class=\"topiclink\">reboot<\/a>, and try again to start the services.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">The services can be started and stopped from the Windows Shell (Run As Administrator) with the following standard commands. Doing this may reveal helpful error messages.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_HowToBulleted\"><span class=\"f_HowToBulleted\">• net start LinkarServerService<\/span><\/p>\n\r<p class=\"p_HowToBulleted\"><span class=\"f_HowToBulleted\">• net start LinkarManagerService<\/span><\/p>\n\r<p class=\"p_HowToBulleted\"><span class=\"f_HowToBulleted\">• net stop LinkarServerService<\/span><\/p>\n\r<p class=\"p_HowToBulleted\"><span class=\"f_HowToBulleted\">• net stop LinkarManagerService<\/span><\/p>\n\r<p class=\"p_Normal\">All versions of LinkarManager and LinkarServer (services and processes on all operating systems) include the argument &quot;--ip=value&quot; where &quot;value&quot; is the hostname or IP address to be used instead of the one loaded from the Config.xml configuration file.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">You can also use the LinkarManagerControl utility (in the Linkar installation folder) to start and stop both services instead of using the standard OS commands.<\/p>\n\r<p class=\"p_Normal\">Run <a href=\"lk_os-level-commands.html\" class=\"topiclink\">LinkarManagerControl<\/a> \/HELP for help.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">If errors display, see <a href=\"lk_installation_error_messages.html\" class=\"topiclink\">Error Messages<\/a>.<\/p>\n\r<p class=\"p_Normal\">See also <a href=\"lk_installation_network_issues.html\" class=\"topiclink\">Network Issues<\/a> which might reveal an issue with the hostname or IP port for the socket listener which the service is trying to start.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_HeadingToggleLarger_atocs_\"><span class=\"f_HeadingToggleLarger_atocs_\">Windows 10 and Fast Startup<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0.8750rem 0 0 0;\"><span style=\"font-family: \'Segoe UI\',Tahoma,Verdana,Arial,sans-serif;\">When the computer is shut down, the O.S. automatically stops all services. Therefore, when the computer is turned off, the LinkarServer service is also stopped, causing the closure of all EntryPoints that are open and all lines (sessions) that they have open with Databases. However, Windows 10 does not work like this. By default, Windows 10 has the &quot;Fast Startup&quot; feature enabled. This feature, designed to make Windows 10 startup faster when the computer is turned off, makes a copy of the current state to restore when it restarts. So the service is NOT being stopped. This can have consequences in the operation of Linkar.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0.8750rem 0 0 0;\"><span style=\"font-family: \'Segoe UI\',Tahoma,Verdana,Arial,sans-serif;\">By not stopping the Linkar service, the EntryPoints and open lines to Databases are not closed properly. In addition, Linkar\'s internal data can also be affected, causing anomalous situations at startup.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0.8750rem 0 0 0;\"><span style=\"font-family: \'Segoe UI\',Tahoma,Verdana,Arial,sans-serif;\">It is therefore recommended to disable this feature on computers running Windows 10 and hosting Linkar.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0.8750rem 0 0 0;\"><span style=\"font-family: \'Segoe UI\',Tahoma,Verdana,Arial,sans-serif;\">The &quot;Fast Startup&quot; feature only affects the shutdown of the computer, followed later by power-on. It does not apply to a restart operation.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0.8750rem 0 0 0;\"><span style=\"font-family: \'Segoe UI\',Tahoma,Verdana,Arial,sans-serif;\">One way to disable this feature is to access the control panel, &quot;Hardware and Sound&quot;, &quot;Power Options&quot;, &quot;Choose what the power button does&quot;, then uncheck &quot;Turn on fast startup&quot;. (Some systems have slightly different text.)<\/span><\/p>\n\r"
})
