hmLoadTopic({
hmKeywords:"D3,D3 Windows,EXIT,jBASE,LKLISTENING,mvBASE,QUIT,Sockets,Timeout in Database Answers",
hmTitle:"Sockets",
hmDescription:"A socket server program was created by Kosday to provide faster database access than Telnet, which incurs a performance penalty during the initial login, and can be subject to...",
hmPrevLink:"lk_jbase_jagent.html",
hmNextLink:"lk_terminal.html",
hmParentLink:"lk_connection_types.html",
hmBreadCrumbs:"<a href=\"lk_manager_config.html\">Configuration<\/a> &gt; <a href=\"lk_connection_types.html\">Connection Types<\/a>",
hmTitlePath:"Configuration > Connection Types > Sockets",
hmHeader:"<h1 class=\"p_Heading1\" style=\"page-break-after: avoid;\"><span class=\"f_Heading1\">Sockets<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">A socket server program was created by Kosday to provide faster database access than Telnet, which incurs a performance penalty during the initial login, and can be subject to protocol overhead when processing transactions.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">The socket connection type is currently supported over all database configurations, except D3 Windows, mvBASE, and jBASE.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Once the environment is setup, Linkar Client requests are first received by an EntryPoint on its unique socket port. Then they are forwarded to the database on the socket port(s) configured here.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Some process is required to start the socket servers (listeners) on DBMS ports. It is recommended that these listeners are started with the database, during its coldstart sequence. If that is not setup, the sockets configuration screen includes fields to describe a login process to the database from Linkar SERVER, where an initialization connection will be made (Terminal = Telnet or SSH), and listeners started on other ports. When complete, the Terminal startup process will disconnect. This leaves the socket servers running with no Terminal connections remaining or used for transactions. For details about all fields relating to the initial Terminal connection that then starts the sockets, please see <a href=\"lk_terminal.html#login_string_terminal\" class=\"topiclink\">Terminal configuration<\/a>.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">If the database or its startup processes are configured to run the socket servers automatically, Linkar SERVER will not need those auxiliary Telnet or SSH sessions, and the Login String details will not need to be defined. The initial opening of connections from Linkar SERVER to the database will also be faster.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Note that because socket listeners are setup before transactions are processed that an EntryPoint defined to use this socket connection type should not define temporary\/temporal sessions. A temporary connection would need to first establish a Telnet session, start the listener, and then logout. Then a new connection would be made to the listener for the transaction. This would not be effective in a production environment.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">As a guideline:<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 0.8125rem; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.8125rem;margin-left:-0.8125rem\">&#8226;<\/span>Use Terminal connections when required and when it\'s desirable to have a minimal number of DBMS processes pre-started, with occasional temporary sessions created during peak time. This is the slowest connection type.<\/p><p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 0.8125rem; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.8125rem;margin-left:-0.8125rem\">&#8226;<\/span>Use DBMS-specific connection library types where possible in preference over the others, for performance and to better support temporary sessions. This is generally considered to be the fastest and most direct connection type.<\/p><p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 0.8125rem; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.8125rem;margin-left:-0.8125rem\">&#8226;<\/span>Use Socket connections when it is acceptable to pre-define the maximum number of expected DBMS licenses for high performance. This is faster than Telnet connections, but benchmarks are not yet available to compare with DBMS-specific types. &nbsp;<\/p><p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">(Screenshots on this page show the bottom part of <a href=\"lk_entrypoints.html\" class=\"topiclink\">EntryPoint Configuration<\/a>)<\/p>\n\r<p class=\"p_Normal\"><img style=\"margin:0;width:49.4375rem;height:19.1250rem;border:none\" src=\".\/images\/lk_entrypoint_qmsocket.png\"\/><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">In Linkar MANAGER, properties with a green label do not need a restart of the EntryPoint after a change.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 0 0;\"><table class=\"argumentos\" >\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">Database address IP or Hostname<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">Display Only<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p class=\"p_Notes\"><span class=\"f_Notes\">Shows the database server host from the Profile.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">Terminal Type<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">Ignored if Linkar SERVER does not need to do initial startup<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">Telnet or SSH : only if Linkar SERVER needs to do initial startup<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">Database Port<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">Mandatory only if Linkar SERVER needs to do initial startup<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p class=\"p_Notes\"><span class=\"f_Notes\">Normal Telnet\/SSH port, commonly 23, 22, or 4242 for QM.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic; font-weight: bold; color: #008080;\">Timeout in Database Answers<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">Mandatory, used at transaction time<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span style=\"font-size: 0.91rem; font-weight: bold; color: #008080;\">hot-change<\/span><\/p>\n\r<p class=\"p_Notes\"><span style=\"font-size: 0.91rem; font-weight: bold; color: #008080;\">New received requests<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">The maximum time in seconds to wait for a response from the database.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">The operation is canceled and an error is returned to the Linkar Client when there is no response after this time period.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">The Database Session remains until closed by the client or other normal processes.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">If an expiration time of 0 is defined, requests default to never timeout. It would therefore be strongly recommended to set a timeout in the Linkar CLIENT application code.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">First Socket Port<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">Mandatory only if Linkar SERVER needs to do initial startup<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p class=\"p_Notes\"><span class=\"f_Notes\">TCP port on which the first socket server will be listening. Default is 11100. The number of socket servers is defined with the EntryPoint, and each listener is assigned the next socket number in sequence.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">Last Socket Port<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">Display Only<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">Shows the last TCP port used, based on the number of lines assigned to the EntryPoint. <\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">Username<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">Mandatory<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p class=\"p_Notes\"><span class=\"f_Notes\">First User ID response on initial Telnet\/SSH connection. May be for OS or database, depending on environment.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">Please see <\/span><a href=\"lk_terminal.html#login_string_terminal\" class=\"topiclink\">Terminal configuration<\/a> for details.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">Password (URL)<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">First password, if required. Or URL to obtain the password via REST web service<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">Password2 (URL)<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p class=\"p_Notes\"><span class=\"f_Notes\">Second password or other login response, if required. Or URL to obtain the password via REST web service<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">Password3 (URL)<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">Third password or other login response, if required. Or URL to obtain the password via REST web service<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">MV Account<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">Mandatory<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p class=\"p_Notes\"><span class=\"f_Notes\">Data account on which the requests will be executed. The data account must already be enabled for use with Linkar SERVER.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">Terminal Session EXIT command<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">Command that is required by the DBMS to close the Telnet \/ SSH session. It usually is &quot;exit&quot; or &quot;quit&quot; and may be case-sensitive.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\"><span style=\"font-weight: bold;\">Show Database Commands<\/span> Button:<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">This button shows the command that must be executed in the database to enable a socket server for a single DBMS port.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span><span class=\"f_CodeExample\">LKLISTENING&nbsp;-SOCKET,IP,PORT,TIMEOUT<\/span><\/p>\n\r<p class=\"p_Normal\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span>in D3: <span class=\"f_CodeExample\">LKLISTENING -SOCKET,PORT<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">The command must be executed in a loop to create new listeners for data accounts up to the number required to support all EPs.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0.0625rem; margin: 0 0 0 3.3125rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0.0625rem; margin: 0 0 0 3.3125rem;\"><a id=\"login_string_socket\" class=\"hmanchor\"><\/a><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0.0625rem; margin: 0 0 0 3.3125rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">For details about all fields relating to the initial Terminal connection that then starts the sockets, please see <a href=\"lk_terminal.html#login_string_terminal\" class=\"topiclink\">Terminal configuration<\/a>. That setup is only required if the database is not auto-starting these socket listeners.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r"
})
